[@rxap/forms](../wiki/globals) / validateControlOn

# Function: validateControlOn()

> **validateControlOn**\<`T`\>(`control`, `validation`): `Subscription`

Defined in: [packages/angular/forms/src/lib/control-actions.ts:130](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/control-actions.ts#L130)

## Type Parameters

• **T**

## Parameters

### control

[`AbstractControl`](../wiki/Interface.AbstractControl)\<`T`\>

### validation

`Observable`\<`null` \| `object`\>

## Returns

`Subscription`
